Tài liệu API
Search API
Tìm kiếm địa điểm theo từ khóa và vị trí. Trả về khoảng 20 kết quả với đánh giá, giá cả, giờ mở cửa và nhiều thông tin khác.
So sánh với Autocomplete API:
- Autocomplete: 3-4 gợi ý nhẹ, phù hợp ô nhập liệu
- Search: 20 kết quả chi tiết
I. Endpoint
GET https://api.pisomap.tech/api/maps/searchII. Headers
| Name | Value | Required |
|---|---|---|
x-api-key | API key của bạn | Có |
III. Tham số truy vấn
| Name | Type | Required | Default | Mô tả |
|---|---|---|---|---|
q | string | Có | — | Tên hoặc địa chỉ địa điểm cần tìm |
lat | number | Không | 10.801671 | Vĩ độ hiện tại của bạn |
lng | number | Không | 106.61744 | Kinh độ hiện tại của bạn |
type | string | Không | minimal | Mức độ chi tiết. minimal trả về thông tin cơ bản. full bổ sung opening_hours và features. |
IV. Ví dụ
Vị trí hiện tại: Nhà hát Thành phố Hồ Chí Minh (10.77682358167437, 106.70313930948461)
Tìm kiếm: "starbucks"
curl "https://api.pisomap.tech/api/maps/search?q=starbucks&lat=10.77682358167437&lng=106.70313930948461&type=minimal" \
-H "x-api-key: YOUR_API_KEY"Phản hồi (20 kết quả):
{
"local_result": [
{
"data_id": "0x31752f3a964f9e8b:0x4c2082b77387c5da",
"title": "Starbucks",
"type": "COFFEE",
"rating": 4.5,
"reviews": 1195,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3930 1092",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "Tòa nhà Léman Luxury Apartments, 117 Nguyễn Đình Chiểu, Xuân Hòa, Hồ Chí Minh 70000, Việt Nam",
"street": "Tòa nhà Léman Luxury Apartments, 117 Nguyễn Đình Chiểu",
"ward": "Xuân Hòa",
"city": "Hồ Chí Minh 70000",
"country": "Việt Nam"
},
"latitude": 10.777900299999999,
"longitude": 106.69003889999999,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 21:30"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f3a964f9e8b%3A0x4c2082b77387c5da",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f3a964f9e8b%3A0x4c2082b77387c5da",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f8b43af3a03:0xea266aac228b664c",
"title": "Starbucks Union Square",
"type": "COFFEE",
"rating": 5,
"reviews": 548,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3622 4324",
"website": ""
},
"location": {
"address": {
"full": "TTTM Union Square, 171 Đồng Khởi, Sài Gòn, Hồ Chí Minh 70000, Việt Nam",
"street": "TTTM Union Square, 171 Đồng Khởi",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 70000",
"country": "Việt Nam"
},
"latitude": 10.7763495,
"longitude": 106.7023643,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 21:30"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Union%20Square&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f8b43af3a03%3A0xea266aac228b664c",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f8b43af3a03%3A0xea266aac228b664c",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752fba632eae55:0xf5c3a8bab8a2b405",
"title": "Starbucks Vincom Dong Khoi",
"type": "COFFEE",
"rating": 4.7,
"reviews": 1183,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3939 0058",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "Tòa nhà Trung tâm Thương mại Vincom Center, Đồng Khởi/72 Lê Thánh Tôn, Sài Gòn, Hồ Chí Minh 700000, Việt Nam",
"street": "Tòa nhà Trung tâm Thương mại Vincom Center, Đồng Khởi/72 Lê Thánh Tôn",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.778138199999999,
"longitude": 106.7018186,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Vincom%20Dong%20Khoi&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752fba632eae55%3A0xf5c3a8bab8a2b405",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752fba632eae55%3A0xf5c3a8bab8a2b405",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f8e69fb1817:0x99b4de4074cd2e5a",
"title": "Starbucks Nguyễn Thị Minh Khai",
"type": "COFFEE",
"rating": 4.7,
"reviews": 1055,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3535 2364",
"website": "https://starbucks.vn/"
},
"location": {
"address": {
"full": "82 Nguyễn Thị Minh Khai, Xuân Hòa, Hồ Chí Minh 700000, Việt Nam",
"street": "82 Nguyễn Thị Minh Khai",
"ward": "Xuân Hòa",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.7820814,
"longitude": 106.6971085,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Nguy%E1%BB%85n%20Th%E1%BB%8B%20Minh%20Khai&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f8e69fb1817%3A0x99b4de4074cd2e5a",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f8e69fb1817%3A0x99b4de4074cd2e5a",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f8055ef81a7:0x805dd4f684706978",
"title": "Starbucks Reserve Diamond Plaza Hồ Chí Minh",
"type": "COFFEE",
"rating": 4.7,
"reviews": 498,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3824 6196",
"website": "https://www.starbucks.vn/"
},
"location": {
"address": {
"full": "Gian hàng XA12505, 34 Lê Duẩn, Sài Gòn, Hồ Chí Minh 700000, Việt Nam",
"street": "Gian hàng XA12505, 34 Lê Duẩn",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.780987,
"longitude": 106.6984947,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Reserve%20Diamond%20Plaza%20H%E1%BB%93%20Ch%C3%AD%20Minh&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f8055ef81a7%3A0x805dd4f684706978",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f8055ef81a7%3A0x805dd4f684706978",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f555aa34309:0xa8b101d1009e03b9",
"title": "Starbucks Saigon Centre",
"type": "COFFEE",
"rating": 4.5,
"reviews": 649,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3636 5244",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "Saigon Centre, 67 Lê Lợi, Sài Gòn, Hồ Chí Minh 700000, Việt Nam",
"street": "Saigon Centre, 67 Lê Lợi",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.773938,
"longitude": 106.7010286,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Saigon%20Centre&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f555aa34309%3A0xa8b101d1009e03b9",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f555aa34309%3A0xa8b101d1009e03b9",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f3c28f5bde9:0x788dc799aaeca353",
"title": "Starbucks Coffee New World",
"type": "COFFEE",
"rating": 4.4,
"reviews": 6048,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3823 7952",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "khách sạn New World, 76 Lê Lai, Bến Thành, Hồ Chí Minh 700000, Việt Nam",
"street": "khách sạn New World, 76 Lê Lai",
"ward": "Bến Thành",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.7710435,
"longitude": 106.6939455,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 0:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Coffee%20New%20World&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f3c28f5bde9%3A0x788dc799aaeca353",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f3c28f5bde9%3A0x788dc799aaeca353",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f25b511d1ed:0xe875d2b94d2f136f",
"title": "Starbucks",
"type": "COFFEE",
"rating": 4.4,
"reviews": 1234,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3929 1221",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "241Bis Cách Mạng Tháng Tám, Bàn Cờ, Hồ Chí Minh 700000, Việt Nam",
"street": "241Bis Cách Mạng Tháng Tám",
"ward": "Bàn Cờ",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.776406099999999,
"longitude": 106.6837656,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 21:30"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f25b511d1ed%3A0xe875d2b94d2f136f",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f25b511d1ed%3A0xe875d2b94d2f136f",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f46c63d2867:0x8ce11d6317e10879",
"title": "Starbucks Nguyễn Huệ",
"type": "COFFEE",
"rating": 4.3,
"reviews": 1356,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3821 0105",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "Tòa nhà Saigoi Garden, 99 Nguyễn Huệ, Sài Gòn, Hồ Chí Minh 700000, Việt Nam",
"street": "Tòa nhà Saigoi Garden, 99 Nguyễn Huệ",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.7734074,
"longitude": 106.7038845,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 23:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Nguy%E1%BB%85n%20Hu%E1%BB%87&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f46c63d2867%3A0x8ce11d6317e10879",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f46c63d2867%3A0x8ce11d6317e10879",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f0054cd0bef:0xf9f1ee8c18497162",
"title": "Starbucks Coffee",
"type": "COFFEE",
"rating": 4.4,
"reviews": 7,
"pricing": {
"min": 120,
"max": 120
},
"contacts": {
"phone": "",
"website": "https://business.google.com/create?fp=18010438670301622626&hl=vi&authuser=0&gmbsrc=-vi-et-ip-z-gmb-s-z-l~mrc%7Cclaimbz%7Cu&ppsrc=GMBMI&utm_campaign=-vi-et-ip-z-gmb-s-z-l~mrc%7Cclaimbz%7Cu&utm_source=gmb_mrc81&utm_medium=et&getstarted"
},
"location": {
"address": {
"full": "120 Pasteur, Sài Gòn, Hồ Chí Minh, Việt Nam",
"street": "120 Pasteur",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh",
"country": "Việt Nam"
},
"latitude": 10.7738395,
"longitude": 106.701084,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Coffee&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f0054cd0bef%3A0xf9f1ee8c18497162",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f0054cd0bef%3A0xf9f1ee8c18497162",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f00454346b5:0x4c42126547597312",
"title": "Starbucks Reserve Bitexco",
"type": "COFFEE",
"rating": 4.5,
"reviews": 480,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3824 6054",
"website": "https://starbucks.vn/"
},
"location": {
"address": {
"full": "2 Đ. Hải Triều, Sài Gòn, Hồ Chí Minh 71016, Việt Nam",
"street": "2 Đ. Hải Triều",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 71016",
"country": "Việt Nam"
},
"latitude": 10.771463299999999,
"longitude": 106.7044973,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 0:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Reserve%20Bitexco&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f00454346b5%3A0x4c42126547597312",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f00454346b5%3A0x4c42126547597312",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f892ec8a91b:0xb11f87781e26c9cb",
"title": "Starbucks The Waterfront Saigon",
"type": "COFFEE",
"rating": 4.7,
"reviews": 917,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3535 9856",
"website": ""
},
"location": {
"address": {
"full": "số 1-1A-2, Tôn Đức Thắng, Sài Gòn, Hồ Chí Minh 70000, Việt Nam",
"street": "số 1-1A-2, Tôn Đức Thắng",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 70000",
"country": "Việt Nam"
},
"latitude": 10.7805921,
"longitude": 106.7077509,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20The%20Waterfront%20Saigon%E2%80%8B&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f892ec8a91b%3A0xb11f87781e26c9cb",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f892ec8a91b%3A0xb11f87781e26c9cb",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f49d3ade7f5:0xaea225954cd45713",
"title": "Starbucks mPlaza Sài Gòn",
"type": "COFFEE",
"rating": 4.3,
"reviews": 1621,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3823 4990",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "39 Lê Duẩn, Sài Gòn, Hồ Chí Minh 700900, Việt Nam",
"street": "39 Lê Duẩn",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 700900",
"country": "Việt Nam"
},
"latitude": 10.781593899999999,
"longitude": 106.7002792,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20mPlaza%20S%C3%A0i%20G%C3%B2n&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f49d3ade7f5%3A0xaea225954cd45713",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f49d3ade7f5%3A0xaea225954cd45713",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f0a2323cb43:0xe43cbaeb2de16988",
"title": "Starbucks Waterbus Bach Dang",
"type": "COFFEE",
"rating": 4.6,
"reviews": 623,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3622 6098",
"website": "https://www.starbucks.vn/"
},
"location": {
"address": {
"full": "10B Tôn Đức Thắng, Sài Gòn, Hồ Chí Minh 71006, Việt Nam",
"street": "10B Tôn Đức Thắng",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 71006",
"country": "Việt Nam"
},
"latitude": 10.775133,
"longitude": 106.7070959,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 0:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Waterbus%20Bach%20Dang&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f0a2323cb43%3A0xe43cbaeb2de16988",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f0a2323cb43%3A0xe43cbaeb2de16988",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752fba6420bef7:0xdd10ac24591d67f9",
"title": "Starbucks Me Linh Point",
"type": "COFFEE",
"rating": 4.2,
"reviews": 356,
"pricing": {
"min": 1,
"max": 100000
},
"contacts": {
"phone": "028 3535 2692",
"website": "https://www.starbucks.vn/"
},
"location": {
"address": {
"full": "nhà Mê Linh Point, 2 Ngô Đức Kế, Sài Gòn, Hồ Chí Minh 700000, Việt Nam",
"street": "nhà Mê Linh Point, 2 Ngô Đức Kế",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.7745,
"longitude": 106.7058193,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Me%20Linh%20Point&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752fba6420bef7%3A0xdd10ac24591d67f9",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752fba6420bef7%3A0xdd10ac24591d67f9",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f6c2c18eb59:0x12b52c2cd53f24d2",
"title": "Starbucks Saigon Royal",
"type": "COFFEE",
"rating": 4.7,
"reviews": 877,
"pricing": {
"min": 1,
"max": 100000
},
"contacts": {
"phone": "028 3535 6122",
"website": "http://starbucks.vn/"
},
"location": {
"address": {
"full": "Tháp SaiGon Royal A, SaiGon Royal, Bến Vân Đồn/34-35 phường Xóm Chiếu, Xóm Chiếu, Hồ Chí Minh 700000, Việt Nam",
"street": "Tháp SaiGon Royal A, SaiGon Royal, Bến Vân Đồn/34-35 phường Xóm Chiếu",
"ward": "Xóm Chiếu",
"city": "Hồ Chí Minh 700000",
"country": "Việt Nam"
},
"latitude": 10.7672042,
"longitude": 106.7038333,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Saigon%20Royal&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f6c2c18eb59%3A0x12b52c2cd53f24d2",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f6c2c18eb59%3A0x12b52c2cd53f24d2",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752fd5abbc268f:0x209a24f81b1461d4",
"title": "Starbucks Waterbus Thủ Thiêm",
"type": "COFFEE",
"rating": 4.4,
"reviews": 1073,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3535 0925",
"website": "https://www.starbucks.vn/"
},
"location": {
"address": {
"full": "Lô HMI, bến tàu, Thủ Thiêm, An Khánh, Hồ Chí Minh 71110, Việt Nam",
"street": "Lô HMI, bến tàu, Thủ Thiêm",
"ward": "An Khánh",
"city": "Hồ Chí Minh 71110",
"country": "Việt Nam"
},
"latitude": 10.776872,
"longitude": 106.7103264,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 23:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Waterbus%20Th%E1%BB%A7%20Thi%C3%AAm&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752fd5abbc268f%3A0x209a24f81b1461d4",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752fd5abbc268f%3A0x209a24f81b1461d4",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x31752f003dec7897:0x3edf179a5226e027",
"title": "Starbucks JW Marriott Saigon",
"type": "COFFEE",
"rating": 5,
"reviews": 1,
"pricing": {
"min": 86,
"max": 86
},
"contacts": {
"phone": "",
"website": "https://business.google.com/create?fp=4530365701728690215&hl=vi&authuser=0&gmbsrc=-vi-et-ip-z-gmb-s-z-l~mrc%7Cclaimbz%7Cu&ppsrc=GMBMI&utm_campaign=-vi-et-ip-z-gmb-s-z-l~mrc%7Cclaimbz%7Cu&utm_source=gmb_mrc81&utm_medium=et&getstarted"
},
"location": {
"address": {
"full": "86 Hai Bà Trưng, Sài Gòn, Hồ Chí Minh, Việt Nam",
"street": "86 Hai Bà Trưng",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh",
"country": "Việt Nam"
},
"latitude": 10.781167499999999,
"longitude": 106.70022159999999,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": false,
"text": ""
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20JW%20Marriott%20Saigon&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f003dec7897%3A0x3edf179a5226e027",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f003dec7897%3A0x3edf179a5226e027",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x317528d5ee197131:0x1ffb3dea3491e41a",
"title": "Starbucks Nguyễn Văn Trỗi",
"type": "COFFEE",
"rating": 4.3,
"reviews": 1699,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3842 2171",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "66 Đ. Nguyễn Văn Trỗi, Phú Nhuận, Hồ Chí Minh 070000, Việt Nam",
"street": "66 Đ. Nguyễn Văn Trỗi",
"ward": "Phú Nhuận",
"city": "Hồ Chí Minh 070000",
"country": "Việt Nam"
},
"latitude": 10.794915,
"longitude": 106.67706199999999,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Nguy%E1%BB%85n%20V%C4%83n%20Tr%E1%BB%97i&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x317528d5ee197131%3A0x1ffb3dea3491e41a",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x317528d5ee197131%3A0x1ffb3dea3491e41a",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
},
{
"data_id": "0x317528ce4ee86ae3:0xc9a12ce65fee808c",
"title": "Starbucks Phan Xích Long",
"type": "COFFEE",
"rating": 4.2,
"reviews": 2372,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3517 6461",
"website": "http://www.starbucks.vn/"
},
"location": {
"address": {
"full": "125 - 127 Phan Xích Long, Cầu Kiệu, Hồ Chí Minh 70000, Việt Nam",
"street": "125 - 127 Phan Xích Long",
"ward": "Cầu Kiệu",
"city": "Hồ Chí Minh 70000",
"country": "Việt Nam"
},
"latitude": 10.797436699999999,
"longitude": 106.6899859,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 22:00"
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Phan%20X%C3%ADch%20Long&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x317528ce4ee86ae3%3A0xc9a12ce65fee808c",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x317528ce4ee86ae3%3A0xc9a12ce65fee808c",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
}
]
}Phản hồi full (type=full):
curl "https://api.pisomap.tech/api/maps/search?q=starbucks&lat=10.77682358167437&lng=106.70313930948461&type=full" \
-H "x-api-key: YOUR_API_KEY"{
"local_result": [
{
"data_id": "0x31752f8b43af3a03:0xea266aac228b664c",
"title": "Starbucks Union Square",
"type": "COFFEE",
"rating": 5,
"reviews": 548,
"pricing": {
"min": 100000,
"max": 200000
},
"contacts": {
"phone": "028 3622 4324",
"website": ""
},
"location": {
"address": {
"full": "TTTM Union Square, 171 Đồng Khởi, Sài Gòn, Hồ Chí Minh 70000, Việt Nam",
"street": "TTTM Union Square, 171 Đồng Khởi",
"ward": "Sài Gòn",
"city": "Hồ Chí Minh 70000",
"country": "Việt Nam"
},
"latitude": 10.7763495,
"longitude": 106.7023643,
"timezone": "Asia/Saigon",
"country_code": "VN"
},
"open_state": {
"is_open_now": true,
"text": "Đang mở cửa · Đóng cửa vào 21:30"
},
"opening_hours": [
{
"day": "Thứ Hai",
"hours": "07:00–21:30"
},
{
"day": "Thứ Ba",
"hours": "07:00–21:30"
},
{
"day": "Thứ Tư",
"hours": "07:00–21:30"
},
{
"day": "Thứ Năm",
"hours": "07:00–21:30"
},
{
"day": "Thứ Sáu",
"hours": "07:00–21:30"
},
{
"day": "Thứ Bảy",
"hours": "07:00–21:30"
},
{
"day": "Chủ Nhật",
"hours": "07:00–21:30"
}
],
"features": {
"accessibility": [],
"parking": [],
"payments": [
"pay_mobile_nfc",
"pay_debit_card",
"pay_credit_card"
],
"service_options": [
"has_takeout"
],
"other": [
"has_onsite_services",
"serves_dine_in",
"serves_coffee_notable",
"serves_dessert_notable",
"serves_tea_notable",
"serves_coffee",
"quick_bite",
"serves_dessert",
"has_restroom",
"feels_cozy",
"feels_casual",
"popular_with_tourists",
"suitable_for_groups",
"popular_with_students",
"has_fireplace",
"has_live_music",
"suitable_for_watching_sports",
"serves_beer",
"has_private_dining_room",
"serves_alcohol",
"serves_cocktails",
"serves_liquor",
"serves_wine",
"has_bar_onsite",
"feels_contemporary",
"feels_historic",
"requires_cash_only"
]
},
"link_search_value": "https://api.pisomap.tech/api/maps/search?q=Starbucks%20Union%20Square&lat=10,77682358167437&lng=106,70313930948461",
"link_place_detail": "https://api.pisomap.tech/api/maps/place?data_id=0x31752f8b43af3a03%3A0xea266aac228b664c",
"link_google_maps": "https://www.google.com/maps/place/?cid=0x31752f8b43af3a03%3A0xea266aac228b664c",
"link_docs": "https://docs.pisomap.tech/vi/api-docs/search"
}
]
}V. Các trường phản hồi
| Field | Type | Mô tả |
|---|---|---|
local_result | array | Danh sách các địa điểm phù hợp |
data_id | string | ID nội bộ của địa điểm dùng cho Place Detail |
title | string | Tên địa điểm |
type | string | Danh mục rút gọn của địa điểm lấy từ Google Maps (vd: COFFEE, CAFE, RESTAURANT, HOTEL, SHOPPING_MALL,...). Giá trị phụ thuộc vào Google Maps, không có danh sách cố định. |
rating | number | Đánh giá trung bình của địa điểm (1.0–5.0) |
reviews | integer | Tổng số lượt đánh giá của địa điểm |
pricing.min | number | Giá thấp nhất của địa điểm (VNĐ) |
pricing.max | number | Giá cao nhất của địa điểm (VNĐ) |
contacts | object | Số điện thoại và trang web của địa điểm |
location.address | object | Địa chỉ chi tiết: đường/phố, phường/xã, thành phố và quốc gia |
location.latitude | number | Vĩ độ của địa điểm |
location.longitude | number | Kinh độ của địa điểm |
location.timezone | string | Múi giờ của địa điểm (vd: Asia/Saigon) |
location.country_code | string | Mã quốc gia của địa điểm (vd: VN) |
open_state.is_open_now | boolean | Địa điểm có đang mở cửa hay không |
open_state.text | string | Trạng thái giờ hoạt động dạng chữ của địa điểm |
link_search_value | string | Liên kết đến Search API của địa điểm |
link_place_detail | string | Liên kết đến Place Detail API của địa điểm |
link_google_maps | string | Liên kết đến Google Maps của địa điểm |
link_docs | string | Liên kết đến tài liệu API của địa điểm |
Các trường bổ sung khi type=full:
| Field | Type | Mô tả |
|---|---|---|
opening_hours | array | Giờ mở cửa hàng tuần của địa điểm |
opening_hours[].day | string | Ngày trong tuần (vd: Thứ Hai, Thứ Ba,...) |
opening_hours[].hours | string | Giờ hoạt động (vd: 07:00–21:30) |
features | object | Tiện nghi của địa điểm (accessibility, parking, payments, service_options, other) |
features.accessibility | array | Các tùy chọn tiếp cận của địa điểm |
features.parking | array | Các tùy chọn đỗ xe của địa điểm |
features.payments | array | Phương thức thanh toán được chấp nhận của địa điểm |
features.service_options | array | Các tùy chọn dịch vụ của địa điểm (vd: takeout, delivery) |
features.other | array | Các thuộc tính khác của địa điểm (không gian, ẩm thực, loại khách) |